Class: Aws::IAM::Types::ListPoliciesResponse

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb

Overview

Contains the response to a successful ListPolicies request.

Constant Summary collapse

SENSITIVE =
[]

Instance Attribute Summary collapse

Instance Attribute Details

#is_truncatedBoolean

A flag that indicates whether there are more items to return. If your results were truncated, you can make a subsequent pagination request using the Marker request parameter to retrieve more items. Note that IAM might return fewer than the MaxItems number of results even when there are more results available. We recommend that you check IsTruncated after every call to ensure that you receive all your results.

Returns:

  • (Boolean)


7296
7297
7298
7299
7300
7301
7302
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 7296

class ListPoliciesResponse < Struct.new(
  :policies,
  :is_truncated,
  :marker)
  SENSITIVE = []
  include Aws::Structure
end

#markerString

When IsTruncated is true, this element is present and contains the value to use for the Marker parameter in a subsequent pagination request.

Returns:

  • (String)


7296
7297
7298
7299
7300
7301
7302
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 7296

class ListPoliciesResponse < Struct.new(
  :policies,
  :is_truncated,
  :marker)
  SENSITIVE = []
  include Aws::Structure
end

#policiesArray<Types::Policy>

A list of policies.

Returns:



7296
7297
7298
7299
7300
7301
7302
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 7296

class ListPoliciesResponse < Struct.new(
  :policies,
  :is_truncated,
  :marker)
  SENSITIVE = []
  include Aws::Structure
end